nl.tudelft.simulation.xml.jstats

## Class DistributionParser

- java.lang.Object
- - nl.tudelft.simulation.xml.jstats.DistributionParser

    public final class DistributionParser
    extends Object

(c) 2002-2018-2004 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl .

Copyright (c) 2002-2018 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information https://simulation.tudelft.nl. The DSOL project is distributed under a three-clause BSD-style license, which can be found at https://simulation.tudelft.nl/dsol/3.0/license.html.

Author:
  Alexander Verbraeck

### Field Summary

Fields
`static URL` `DISTRIBUTIONFILE_SCHEMA` the default schema file.

### Method Summary

All Methods Static Methods Concrete Methods
`static DistContinuous` `parseContinuousDistribution(Element element, SimulatorInterface simulator)` parses a xml-element representing a distribution function
`static DistDiscrete` `parseDiscreteDistribution(Element element, SimulatorInterface simulator)` parses a xml-element representing a distribution function
`static Dist` `parseDistribution(Element element, SimulatorInterface simulator)` parses a xml-element representing a distribution function

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DISTRIBUTIONFILE_SCHEMA

    public static final URL DISTRIBUTIONFILE_SCHEMA

the default schema file.

### Method Detail

#### parseDistribution

    public static Dist parseDistribution(Element element,
                                         SimulatorInterface simulator)
                                  throws IOException

parses a xml-element representing a distribution function

Parameters:
  `element` - Element; The j-dom element
  `simulator` - SimulatorInterface; the simulator to use
Returns:
  the distribution function
Throws:
  `IOException` - on failure

#### parseDiscreteDistribution

    public static DistDiscrete parseDiscreteDistribution(Element element,
                                                         SimulatorInterface simulator)
                                                  throws IOException

parses a xml-element representing a distribution function

Parameters:
  `element` - Element; The j-dom element
  `simulator` - SimulatorInterface; the simulator to use
Returns:
  the distribution function
Throws:
  `IOException` - on failure

#### parseContinuousDistribution

    public static DistContinuous parseContinuousDistribution(Element element,
                                                             SimulatorInterface simulator)
                                                      throws IOException

parses a xml-element representing a distribution function

Parameters:
  `element` - Element; The j-dom element
  `simulator` - SimulatorInterface; the simulator to use
Returns:
  the distribution function
Throws:
  `IOException` - on failure